App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
mhr.appcore.tools.cancelable.filter.LaplacianOfGaussianSharpenFilterCancelableTool Class Reference
Inheritance diagram for mhr.appcore.tools.cancelable.filter.LaplacianOfGaussianSharpenFilterCancelableTool:

## Public Member Functions
| LaplacianOfGaussianSharpenFilterCancelableTool ()
void | dispose ()
| Slouží k uvolnění nativních prostředků při výměně nástroje.
void | applyTo (Image img, ToolActionData data)
| Aplikuje nástroj na vybraný element obrazu, pokud nelze provést, hodí výjimku.
synchronized void | onRender (Image img, NBitmap canvas, NBitmap tmpLayer, NBitmap origLayer, NBitmap masterMask, Rect src, int srcOrigX, int srcOrigY)
| Callback, který volá obraz v okamžiku, kdy je třeba renderovat část obrazu.
synchronized void | onCommit (Image image, NBitmap canvas, NBitmap tmpLayer, NBitmap origLayer, NBitmap masterMask, Rect src, int srcOrigX, int srcOrigY)
| Callback, který volá obraz v okamžiku, kdy je kanvas odeslán k provedení finálních úprav.

## Protected Member Functions
void | finalize () throws Throwable
void | onPreview (Image img, CancelableToolActionData data)

## Protected Attributes
Filter | f = null

## Detailed Description

Definition at line 13 of file LaplacianOfGaussianSharpenFilterCancelableTool.java.

## Constructor & Destructor Documentation

mhr.appcore.tools.cancelable.filter.LaplacianOfGaussianSharpenFilterCancelableTool.LaplacianOfGaussianSharpenFilterCancelableTool | ( |  | ) |
| inline

Definition at line 33 of file LaplacianOfGaussianSharpenFilterCancelableTool.java.

{
}

## Member Function Documentation

void mhr.appcore.tools.cancelable.filter.FilterCancelableTool.applyTo | ( | Image | img,
|  | ToolActionData | data
| ) |  |
| inlineinherited

Aplikuje nástroj na vybraný element obrazu, pokud nelze provést, hodí výjimku.

Parameters

  img | Obraz, na který je nástroj aplikován.
  data | Data určující akci, kterou má nástroj provést.

Exceptions

  ToolNotApplicableException |

Implements mhr.appcore.tools.Tool.

Definition at line 57 of file FilterCancelableTool.java.

{
if (img.getSelectedState() != ImageSelectedState.SELECTED_LAYER) {
throw new ToolNotApplicableException("Selected tool is not applicable to selected item.");
}
super.applyTo(img, data);
}

void mhr.appcore.tools.cancelable.filter.LaplacianOfGaussianSharpenFilterCancelableTool.dispose | ( |  | ) |
| inline

Slouží k uvolnění nativních prostředků při výměně nástroje.

Implements mhr.appcore.tools.Tool.

Definition at line 38 of file LaplacianOfGaussianSharpenFilterCancelableTool.java.

{
super.dispose();
}

void mhr.appcore.tools.cancelable.filter.LaplacianOfGaussianSharpenFilterCancelableTool.finalize | ( |  | ) | throws Throwable
| inlineprotected

Definition at line 27 of file LaplacianOfGaussianSharpenFilterCancelableTool.java.

{
dispose();
super.finalize();
}

synchronized void mhr.appcore.tools.cancelable.filter.FilterCancelableTool.onCommit | ( | Image | image,
|  | NBitmap | canvas,
|  | NBitmap | tmpLayer,
|  | NBitmap | origLayer,
|  | NBitmap | masterMask,
|  | Rect | src,
|  | int | srcOrigX,
|  | int | srcOrigY
| ) |  |
| inlineinherited

Callback, který volá obraz v okamžiku, kdy je kanvas odeslán k provedení finálních úprav.

Po nástroji je požadováno, aby implementoval tuto metodu tak, že v závislosti na stavu obrazu, canvasu, origLayer a masterMask upraví oblast src v origLayer. tmpLayer nebude již dále viditelná.

Parameters

  img | Obraz, na který je nástroj aplikován.
  canvas | Kanvas, který si nástroj vytvořil a upravuje při volání applyTo
  tmpLayer | Dočasná vrstva sloužící k náhledu úprav
  origLayer | Původní vrstva, kterou tmpLayer zastupuje.
  masterMask | Maska výběru, pokud výběr není použitý je null.
  src | Oblast k přerenderování.
  srcOrigX |
  srcOrigY |

Implements mhr.appcore.tools.Tool.

Definition at line 78 of file FilterCancelableTool.java.

{
if (f == null) {
return;
}
if (masterMask != null) {
f.applyTo(origLayer, masterMask, src, srcOrigX, srcOrigY, 1.0);
} else {
f.applyTo(origLayer, src, 1.0);
}
}

void mhr.appcore.tools.cancelable.filter.LaplacianOfGaussianSharpenFilterCancelableTool.onPreview | ( | Image | img,
|  | CancelableToolActionData | data
| ) |  |
| inlineprotectedvirtual

Implements mhr.appcore.tools.cancelable.CancelableTool.

Definition at line 45 of file LaplacianOfGaussianSharpenFilterCancelableTool.java.

{
if (!(data instanceof LaplacianOfGaussianSharpenFilterCancelableToolActionData)) {
throw new IllegalArgumentException("Received data for different tool");
} else {
LaplacianOfGaussianSharpenFilterCancelableToolActionData d = (LaplacianOfGaussianSharpenFilterCancelableToolActionData) data;
f.makeLaplacianOfGaussianSharpenFilter(d.sigma, d.force, d.area);
}
}

synchronized void mhr.appcore.tools.cancelable.filter.FilterCancelableTool.onRender | ( | Image | img,
|  | NBitmap | canvas,
|  | NBitmap | tmpLayer,
|  | NBitmap | origLayer,
|  | NBitmap | masterMask,
|  | Rect | src,
|  | int | srcOrigX,
|  | int | srcOrigY
| ) |  |
| inlineinherited

Callback, který volá obraz v okamžiku, kdy je třeba renderovat část obrazu.

Po nástroji je požadováno, aby implementoval tuto metodu tak, že v závislosti na stavu obrazu, canvasu, origLayer a masterMask upraví oblast src v tmpLayer tak, že tmpLayer bude obsahovat náhled aplikace nástroje na origLayer.

Parameters

  img | Obraz, na který je nástroj aplikován.
  canvas | Kanvas, který si nástroj vytvořil a upravuje při volání applyTo
  tmpLayer | Dočasná vrstva sloužící k náhledu úprav
  origLayer | Původní vrstva, kterou tmpLayer zastupuje.
  masterMask | Maska výběru, pokud výběr není použitý je null.
  src | Oblast k přerenderování.
  srcOrigX |
  srcOrigY |

Implements mhr.appcore.tools.Tool.

Definition at line 65 of file FilterCancelableTool.java.

{
origLayer.copyTo(tmpLayer, src, srcOrigX, srcOrigY);
if (f == null) {
return;
}
if (masterMask != null) {
f.applyTo(tmpLayer, masterMask, src, srcOrigX, srcOrigY, 1.0);
} else {
f.applyTo(tmpLayer, src, 1.0);
}
}

## Member Data Documentation

Filter mhr.appcore.tools.cancelable.filter.FilterCancelableTool.f = null
| protectedinherited

Definition at line 27 of file FilterCancelableTool.java.

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appcore/src/mhr/appcore/tools/cancelable/filter/LaplacianOfGaussianSharpenFilterCancelableTool.java